QGIS Application - Bug report #6686
Embedded layers from projects with groups misbehaving
2012-11-13 12:27 PM - John Tull

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 15854
Description

When | embed layers from an existing project, | get unusual and incorrect behavior when the embedded project file has layers in groups.
Basically, grouped layers are added to the existing project correctly, but any ungrouped layers are placed within the last/lowest group from
the original project file. I've attached a couple of screenshots to illustrate this. The first show the list of available groups and layers in the
project being embedded. I've selected all and embedded them into the map legend/canvas. The second shot shows how these layers
were handled with the top-most layer that was not grouped (Inventory) being placed into the "group1" group incorrectly. The group1 group
is the "last" group in the embedded project.

If | save this project and reopen it, the groups and the layers correctly placed into their groups are shown, but the layer that was incorrectly
placed into group1 is no longer in the project. This is shown in the third screenshot.

Related issues:
Related to QGIS Application - Bug report # 13913: Embed layers and groups doe... Closed 2015-11-30

History

#1 - 2014-06-21 03:57 AM - Jiirgen Fischer
- Category set to Project Loading/Saving

#2 - 2015-12-26 05:09 AM - Sebastian Dietrich

| can not reproduce using current master (commit:917dd055198f52b6288210d0a11f304aeacc2976). Can you test with master/latest nightly again?

If you still encounter the error, could you attach the project file you are embedding from?

#3 - 2015-12-26 05:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2016-01-13 10:16 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Sebastian Dietrich wrote:

I can not reproduce using current master (commit:917dd055198f52b6288210d0a11f304aeacc2976). Can you test with master/latest nightly again?

If you still encounter the error, could you attach the project file you are embedding from?

closing for lack of feedback, please reopen if necessary.
